Buteo Synchronization Framework: Buteo::ClientPlugin Class Reference

Buteo Synchronization Framework

Public Member Functions | Protected Attributes | List of all members
Buteo::ClientPlugin Class Referenceabstract

Base class for client plugins. More...

`#include <ClientPlugin.h>`

Inheritance diagram for Buteo::ClientPlugin:

## Public Member Functions
| ClientPlugin (const QString &aPluginName, const SyncProfile &aProfile, PluginCbInterface *aCbInterface)
| Constructor. More...
virtual | ~ClientPlugin ()
| Destructor. More...
virtual bool | startSync ()=0
| Starts synchronization. More...
SyncProfile & | profile ()
| access to profile owned and used by this instance
Public Member Functions inherited from Buteo::SyncPluginBase
| SyncPluginBase (const QString &aPluginName, const QString &aProfileName, PluginCbInterface *aCbInterface)
| Constructor. More...
QString | getPluginName () const
| Returns the name of this plugin. More...
QString | getProfileName () const
| Returns profile name. More...
virtual bool | init ()=0
| Initializes the plugin. More...
virtual bool | uninit ()=0
| Uninitializes the plugin. More...
virtual void | abortSync (Sync::SyncStatus aStatus=Sync::SYNC_ABORTED)
| Aborts synchronization. More...
virtual bool | cleanUp ()=0
| Cleans up any sync related stuff (e.g sync anchors etc) when the profile is deleted. More...
virtual SyncResults | getSyncResults () const
| Gets the results of the last completed sync session. More...

## Protected Attributes
SyncProfile | iProfile
| Sync Profile Object that the plugin is currently operating on.
Protected Attributes inherited from Buteo::SyncPluginBase
PluginCbInterface * | iCbInterface
| Pointer to synchronizer.
QMap< QString, ReceivedItemDetails > | receivedItems
ButeoPluginIface * | iOopPluginIface

## Additional Inherited Members
Public Slots inherited from Buteo::SyncPluginBase
virtual void | connectivityStateChanged (Sync::ConnectivityType aType, bool aState)=0
| Slot that is invoked by sync framework when changes occur in connectivity domains. More...
Signals inherited from Buteo::SyncPluginBase
void | transferProgress (const QString &aProfileName, Sync::TransferDatabase aDatabase, Sync::TransferType aType, const QString &aMimeType, int aCommittedItems)
| Emitted when progress has been made in synchronization in transferring items between local and remote database. More...
void | error (const QString &aProfileName, const QString &aMessage, SyncResults::MinorCode aErrorCode)
| Emitted when error has occurred in synchronization and it cannot be continued. More...
void | success (const QString &aProfileName, const QString &aMessage)
| Emitted when synchronization has been finished successfully. More...
void | accquiredStorage (const QString &aMimeType)
| Emitted when a storage is requested and accquired. More...
void | syncProgressDetail (const QString &aProfileName, int aProgressDetail)
| Emitted during Sync Progress to indicate the detail of the current ongoing sync. More...

## Detailed Description

Base class for client plugins.

## Constructor & Destructor Documentation

## ◆ ClientPlugin()

ClientPlugin::ClientPlugin | ( | const QString & | aPluginName,
|  | const SyncProfile & | aProfile,
|  | PluginCbInterface * | aCbInterface
| ) |  |

Constructor.

Parameters

  aPluginName | Name of this client plugin
  aProfile | Sync profile for the client
  aCbInterface | Pointer to the callback interface

## ◆ ~ClientPlugin()

ClientPlugin::~ClientPlugin | ( |  | ) |
| virtual

Destructor.

Call uninit before destroying the client plug-in.

## Member Function Documentation

## ◆ startSync()

virtual bool Buteo::ClientPlugin::startSync | ( |  | ) |
| pure virtual

Starts synchronization.

Init must be called before calling this function.

Returns
  True on success, otherwise false

Implemented in Buteo::OOPClientPlugin.

The documentation for this class was generated from the following files:

- ClientPlugin.h
- ClientPlugin.cpp